import mosaik
import numpy as np

seed_max = 1000000
output_path = "_outputs"
data_path = "/home/eveith/.config/midas/midas_data"
step_size = 2
start_date = "2020-10-05 13:00:00+0100"
end = 10
cos_phi = 0.9
no_db = False
with_timesim = False
with_arl = True
with_ict = False
no_rng = False
forecast_horizon_hours = 0.25
flexibility_horizon_hours = 0.25
flexibility_horizon_start_hours = 0
cmd = "python"
default_weather_name = "WeatherBre2009-2022.csv"
default_simbench_name = "1-LV-rural3--0-sw.hdf5"
default_commercials_name = "CommercialsRefTMY3.hdf5"
rng = np.random.RandomState(None)
store_database_sim_params = {'sim_name': 'MidasStore', 'step_size': 2, 'buffer_size': 1000, 'keep_old_files': True}
database_params = {'filename': '/home/eveith/Development/arl/palaestrai/tests/fixtures/_outputs/carl_with_arl_base.hdf5', 'buffer_size': 1000, 'keep_old_files': True}
powergrid_midasmv_sim_params = {'gridfile': 'midasmv', 'plotting': False, 'grid_params': {'double_actuator_values': True, 'constant_load_p_mw': 0.7, 'constant_load_q_mvar': 0.23, 'constant_sgen_p_mw': 0.4, 'constant_sgen_q_mvar': -0.13}, 'use_constraints': True, 'constraints': [['bus', 0.1], ['load', 0.02], ['sgen', 0.05], ['line', 100]], 'sim_name': 'Powergrid', 'step_size': 2, 'plot_path': '/home/eveith/Development/arl/palaestrai/tests/fixtures/_outputs/plots', 'save_grid_json': False, 'grid_mapping': {}}
powergrid_midasmv_params = {'gridfile': 'midasmv', 'grid_params': {'double_actuator_values': True, 'constant_load_p_mw': 0.7, 'constant_load_q_mvar': 0.23, 'constant_sgen_p_mw': 0.4, 'constant_sgen_q_mvar': -0.13}, 'use_constraints': True, 'constraints': [['bus', 0.1], ['load', 0.02], ['sgen', 0.05], ['line', 100]]}
sensors = [{'uid': 'Powergrid-0.0-bus-1.vm_pu', 'space': 'Box(low=0.0, high=1.2, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-1.va_degree', 'space': 'Box(low=-180.0, high=180.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-1.p_mw', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-1.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-1.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-bus-10.vm_pu', 'space': 'Box(low=0.0, high=1.2, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-10.va_degree', 'space': 'Box(low=-180.0, high=180.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-10.p_mw', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-10.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-10.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-bus-11.vm_pu', 'space': 'Box(low=0.0, high=1.2, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-11.va_degree', 'space': 'Box(low=-180.0, high=180.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-11.p_mw', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-11.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-11.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-bus-12.vm_pu', 'space': 'Box(low=0.0, high=1.2, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-12.va_degree', 'space': 'Box(low=-180.0, high=180.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-12.p_mw', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-12.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-12.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-bus-13.vm_pu', 'space': 'Box(low=0.0, high=1.2, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-13.va_degree', 'space': 'Box(low=-180.0, high=180.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-13.p_mw', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-13.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-13.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-bus-14.vm_pu', 'space': 'Box(low=0.0, high=1.2, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-14.va_degree', 'space': 'Box(low=-180.0, high=180.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-14.p_mw', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-14.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-14.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-bus-2.vm_pu', 'space': 'Box(low=0.0, high=1.2, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-2.va_degree', 'space': 'Box(low=-180.0, high=180.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-2.p_mw', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-2.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-2.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-bus-3.vm_pu', 'space': 'Box(low=0.0, high=1.2, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-3.va_degree', 'space': 'Box(low=-180.0, high=180.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-3.p_mw', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-3.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-3.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-bus-4.vm_pu', 'space': 'Box(low=0.0, high=1.2, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-4.va_degree', 'space': 'Box(low=-180.0, high=180.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-4.p_mw', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-4.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-4.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-bus-5.vm_pu', 'space': 'Box(low=0.0, high=1.2, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-5.va_degree', 'space': 'Box(low=-180.0, high=180.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-5.p_mw', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-5.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-5.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-bus-6.vm_pu', 'space': 'Box(low=0.0, high=1.2, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-6.va_degree', 'space': 'Box(low=-180.0, high=180.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-6.p_mw', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-6.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-6.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-bus-7.vm_pu', 'space': 'Box(low=0.0, high=1.2, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-7.va_degree', 'space': 'Box(low=-180.0, high=180.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-7.p_mw', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-7.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-7.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-bus-8.vm_pu', 'space': 'Box(low=0.0, high=1.2, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-8.va_degree', 'space': 'Box(low=-180.0, high=180.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-8.p_mw', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-8.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-8.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-bus-9.vm_pu', 'space': 'Box(low=0.0, high=1.2, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-9.va_degree', 'space': 'Box(low=-180.0, high=180.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-9.p_mw', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-9.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-bus-9.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-ext_grid-0-0.p_mw', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-ext_grid-0-0.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-line-0.loading_percent', 'space': 'Box(low=0.0, high=200.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-line-0.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-line-1.loading_percent', 'space': 'Box(low=0.0, high=200.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-line-1.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-line-10.loading_percent', 'space': 'Box(low=0.0, high=200.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-line-10.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-line-11.loading_percent', 'space': 'Box(low=0.0, high=200.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-line-11.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-line-12.loading_percent', 'space': 'Box(low=0.0, high=200.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-line-12.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-line-13.loading_percent', 'space': 'Box(low=0.0, high=200.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-line-13.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-line-14.loading_percent', 'space': 'Box(low=0.0, high=200.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-line-14.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-line-2.loading_percent', 'space': 'Box(low=0.0, high=200.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-line-2.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-line-3.loading_percent', 'space': 'Box(low=0.0, high=200.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-line-3.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-line-4.loading_percent', 'space': 'Box(low=0.0, high=200.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-line-4.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-line-5.loading_percent', 'space': 'Box(low=0.0, high=200.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-line-5.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-line-6.loading_percent', 'space': 'Box(low=0.0, high=200.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-line-6.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-line-7.loading_percent', 'space': 'Box(low=0.0, high=200.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-line-7.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-line-8.loading_percent', 'space': 'Box(low=0.0, high=200.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-line-8.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-line-9.loading_percent', 'space': 'Box(low=0.0, high=200.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-line-9.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-load-0-1.p_mw', 'space': 'Box(low=0, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-0-1.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-0-1.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-load-1-3.p_mw', 'space': 'Box(low=0, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-1-3.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-1-3.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-load-10-12.p_mw', 'space': 'Box(low=0, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-10-12.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-10-12.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-load-11-13.p_mw', 'space': 'Box(low=0, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-11-13.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-11-13.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-load-12-14.p_mw', 'space': 'Box(low=0, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-12-14.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-12-14.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-load-2-4.p_mw', 'space': 'Box(low=0, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-2-4.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-2-4.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-load-3-5.p_mw', 'space': 'Box(low=0, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-3-5.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-3-5.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-load-4-6.p_mw', 'space': 'Box(low=0, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-4-6.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-4-6.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-load-5-7.p_mw', 'space': 'Box(low=0, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-5-7.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-5-7.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-load-6-8.p_mw', 'space': 'Box(low=0, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-6-8.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-6-8.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-load-7-9.p_mw', 'space': 'Box(low=0, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-7-9.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-7-9.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-load-8-10.p_mw', 'space': 'Box(low=0, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-8-10.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-8-10.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-load-9-11.p_mw', 'space': 'Box(low=0, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-9-11.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-9-11.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-sgen-0-1.p_mw', 'space': 'Box(low=0, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-0-1.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-0-1.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-sgen-1-3.p_mw', 'space': 'Box(low=0, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-1-3.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-1-3.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-sgen-10-12.p_mw', 'space': 'Box(low=0, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-10-12.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-10-12.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-sgen-11-13.p_mw', 'space': 'Box(low=0, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-11-13.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-11-13.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-sgen-12-14.p_mw', 'space': 'Box(low=0, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-12-14.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-12-14.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-sgen-2-4.p_mw', 'space': 'Box(low=0, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-2-4.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-2-4.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-sgen-3-5.p_mw', 'space': 'Box(low=0, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-3-5.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-3-5.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-sgen-4-6.p_mw', 'space': 'Box(low=0, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-4-6.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-4-6.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-sgen-5-7.p_mw', 'space': 'Box(low=0, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-5-7.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-5-7.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-sgen-6-8.p_mw', 'space': 'Box(low=0, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-6-8.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-6-8.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-sgen-7-9.p_mw', 'space': 'Box(low=0, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-7-9.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-7-9.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-sgen-8-10.p_mw', 'space': 'Box(low=0, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-8-10.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-8-10.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-sgen-9-11.p_mw', 'space': 'Box(low=0, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-9-11.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-9-11.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-storage-0-1.p_mw', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-storage-0-1.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-storage-0-1.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-storage-1-3.p_mw', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-storage-1-3.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-storage-1-3.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-storage-10-12.p_mw', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-storage-10-12.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-storage-10-12.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-storage-11-13.p_mw', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-storage-11-13.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-storage-11-13.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-storage-12-14.p_mw', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-storage-12-14.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-storage-12-14.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-storage-2-4.p_mw', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-storage-2-4.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-storage-2-4.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-storage-3-5.p_mw', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-storage-3-5.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-storage-3-5.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-storage-4-6.p_mw', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-storage-4-6.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-storage-4-6.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-storage-5-7.p_mw', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-storage-5-7.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-storage-5-7.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-storage-6-8.p_mw', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-storage-6-8.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-storage-6-8.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-storage-7-9.p_mw', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-storage-7-9.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-storage-7-9.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-storage-8-10.p_mw', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-storage-8-10.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-storage-8-10.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-storage-9-11.p_mw', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-storage-9-11.q_mvar', 'space': 'Box(low=-inf, high=inf, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-storage-9-11.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-switch-0.closed', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-switch-1.closed', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-switch-2.closed', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-switch-3.closed', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-switch-4.closed', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-switch-5.closed', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-switch-6.closed', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-switch-7.closed', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-trafo-0.loading_percent', 'space': 'Box(low=0.0, high=200.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-trafo-0.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.0-trafo-1.loading_percent', 'space': 'Box(low=0.0, high=200.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-trafo-1.in_service', 'space': 'Discrete(2)'}, {'uid': 'Powergrid-0.Grid-0.health', 'space': 'Box(low=0, high=1.2, shape=(), dtype=np.float32)'}]
actuators = [{'uid': 'Powergrid-0.0-load-0-1.p_mw', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-0-1.q_mvar', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-1-3.p_mw', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-1-3.q_mvar', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-10-12.p_mw', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-10-12.q_mvar', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-11-13.p_mw', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-11-13.q_mvar', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-12-14.p_mw', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-12-14.q_mvar', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-2-4.p_mw', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-2-4.q_mvar', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-3-5.p_mw', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-3-5.q_mvar', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-4-6.p_mw', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-4-6.q_mvar', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-5-7.p_mw', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-5-7.q_mvar', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-6-8.p_mw', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-6-8.q_mvar', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-7-9.p_mw', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-7-9.q_mvar', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-8-10.p_mw', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-8-10.q_mvar', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-9-11.p_mw', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-load-9-11.q_mvar', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-0-1.p_mw', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-0-1.q_mvar', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-1-3.p_mw', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-1-3.q_mvar', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-10-12.p_mw', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-10-12.q_mvar', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-11-13.p_mw', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-11-13.q_mvar', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-12-14.p_mw', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-12-14.q_mvar', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-2-4.p_mw', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-2-4.q_mvar', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-3-5.p_mw', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-3-5.q_mvar', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-4-6.p_mw', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-4-6.q_mvar', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-5-7.p_mw', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-5-7.q_mvar', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-6-8.p_mw', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-6-8.q_mvar', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-7-9.p_mw', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-7-9.q_mvar', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-8-10.p_mw', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-8-10.q_mvar', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-9-11.p_mw', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-sgen-9-11.q_mvar', 'space': 'Box(low=0, high=1.0, shape=(), dtype=np.float32)'}, {'uid': 'Powergrid-0.0-trafo-0.tap_pos', 'space': 'Box(low=-10, high=10, shape=(), dtype=np.int32)'}, {'uid': 'Powergrid-0.0-trafo-1.tap_pos', 'space': 'Box(low=-10, high=10, shape=(), dtype=np.int32)'}]

sim_config = {'MidasStore': {'python': 'midas.modules.store.simulator:MidasHdf5'}, 'Powergrid': {'python': 'midas.modules.powergrid.simulator:PandapowerSimulator'}}

world = mosaik.World(sim_config)
store_database_sim = world.start(**store_database_sim_params)
powergrid_midasmv_sim = world.start(**powergrid_midasmv_sim_params)

database = store_database_sim.Database(**database_params)
powergrid_midasmv = powergrid_midasmv_sim.Grid(**powergrid_midasmv_params)
powergrid_midasmv_bus_1 = [e for e in powergrid_midasmv.children if e.eid == "0-bus-1"][0]
powergrid_midasmv_bus_10 = [e for e in powergrid_midasmv.children if e.eid == "0-bus-10"][0]
powergrid_midasmv_bus_11 = [e for e in powergrid_midasmv.children if e.eid == "0-bus-11"][0]
powergrid_midasmv_bus_12 = [e for e in powergrid_midasmv.children if e.eid == "0-bus-12"][0]
powergrid_midasmv_bus_13 = [e for e in powergrid_midasmv.children if e.eid == "0-bus-13"][0]
powergrid_midasmv_bus_14 = [e for e in powergrid_midasmv.children if e.eid == "0-bus-14"][0]
powergrid_midasmv_bus_2 = [e for e in powergrid_midasmv.children if e.eid == "0-bus-2"][0]
powergrid_midasmv_bus_3 = [e for e in powergrid_midasmv.children if e.eid == "0-bus-3"][0]
powergrid_midasmv_bus_4 = [e for e in powergrid_midasmv.children if e.eid == "0-bus-4"][0]
powergrid_midasmv_bus_5 = [e for e in powergrid_midasmv.children if e.eid == "0-bus-5"][0]
powergrid_midasmv_bus_6 = [e for e in powergrid_midasmv.children if e.eid == "0-bus-6"][0]
powergrid_midasmv_bus_7 = [e for e in powergrid_midasmv.children if e.eid == "0-bus-7"][0]
powergrid_midasmv_bus_8 = [e for e in powergrid_midasmv.children if e.eid == "0-bus-8"][0]
powergrid_midasmv_bus_9 = [e for e in powergrid_midasmv.children if e.eid == "0-bus-9"][0]
powergrid_midasmv_ext_grid_0_0 = [e for e in powergrid_midasmv.children if e.eid == "0-ext_grid-0-0"][0]
powergrid_midasmv_line_0 = [e for e in powergrid_midasmv.children if e.eid == "0-line-0"][0]
powergrid_midasmv_line_1 = [e for e in powergrid_midasmv.children if e.eid == "0-line-1"][0]
powergrid_midasmv_line_10 = [e for e in powergrid_midasmv.children if e.eid == "0-line-10"][0]
powergrid_midasmv_line_11 = [e for e in powergrid_midasmv.children if e.eid == "0-line-11"][0]
powergrid_midasmv_line_12 = [e for e in powergrid_midasmv.children if e.eid == "0-line-12"][0]
powergrid_midasmv_line_13 = [e for e in powergrid_midasmv.children if e.eid == "0-line-13"][0]
powergrid_midasmv_line_14 = [e for e in powergrid_midasmv.children if e.eid == "0-line-14"][0]
powergrid_midasmv_line_2 = [e for e in powergrid_midasmv.children if e.eid == "0-line-2"][0]
powergrid_midasmv_line_3 = [e for e in powergrid_midasmv.children if e.eid == "0-line-3"][0]
powergrid_midasmv_line_4 = [e for e in powergrid_midasmv.children if e.eid == "0-line-4"][0]
powergrid_midasmv_line_5 = [e for e in powergrid_midasmv.children if e.eid == "0-line-5"][0]
powergrid_midasmv_line_6 = [e for e in powergrid_midasmv.children if e.eid == "0-line-6"][0]
powergrid_midasmv_line_7 = [e for e in powergrid_midasmv.children if e.eid == "0-line-7"][0]
powergrid_midasmv_line_8 = [e for e in powergrid_midasmv.children if e.eid == "0-line-8"][0]
powergrid_midasmv_line_9 = [e for e in powergrid_midasmv.children if e.eid == "0-line-9"][0]
powergrid_midasmv_load_0_1 = [e for e in powergrid_midasmv.children if e.eid == "0-load-0-1"][0]
powergrid_midasmv_load_1_3 = [e for e in powergrid_midasmv.children if e.eid == "0-load-1-3"][0]
powergrid_midasmv_load_10_12 = [e for e in powergrid_midasmv.children if e.eid == "0-load-10-12"][0]
powergrid_midasmv_load_11_13 = [e for e in powergrid_midasmv.children if e.eid == "0-load-11-13"][0]
powergrid_midasmv_load_12_14 = [e for e in powergrid_midasmv.children if e.eid == "0-load-12-14"][0]
powergrid_midasmv_load_2_4 = [e for e in powergrid_midasmv.children if e.eid == "0-load-2-4"][0]
powergrid_midasmv_load_3_5 = [e for e in powergrid_midasmv.children if e.eid == "0-load-3-5"][0]
powergrid_midasmv_load_4_6 = [e for e in powergrid_midasmv.children if e.eid == "0-load-4-6"][0]
powergrid_midasmv_load_5_7 = [e for e in powergrid_midasmv.children if e.eid == "0-load-5-7"][0]
powergrid_midasmv_load_6_8 = [e for e in powergrid_midasmv.children if e.eid == "0-load-6-8"][0]
powergrid_midasmv_load_7_9 = [e for e in powergrid_midasmv.children if e.eid == "0-load-7-9"][0]
powergrid_midasmv_load_8_10 = [e for e in powergrid_midasmv.children if e.eid == "0-load-8-10"][0]
powergrid_midasmv_load_9_11 = [e for e in powergrid_midasmv.children if e.eid == "0-load-9-11"][0]
powergrid_midasmv_sgen_0_1 = [e for e in powergrid_midasmv.children if e.eid == "0-sgen-0-1"][0]
powergrid_midasmv_sgen_1_3 = [e for e in powergrid_midasmv.children if e.eid == "0-sgen-1-3"][0]
powergrid_midasmv_sgen_10_12 = [e for e in powergrid_midasmv.children if e.eid == "0-sgen-10-12"][0]
powergrid_midasmv_sgen_11_13 = [e for e in powergrid_midasmv.children if e.eid == "0-sgen-11-13"][0]
powergrid_midasmv_sgen_12_14 = [e for e in powergrid_midasmv.children if e.eid == "0-sgen-12-14"][0]
powergrid_midasmv_sgen_2_4 = [e for e in powergrid_midasmv.children if e.eid == "0-sgen-2-4"][0]
powergrid_midasmv_sgen_3_5 = [e for e in powergrid_midasmv.children if e.eid == "0-sgen-3-5"][0]
powergrid_midasmv_sgen_4_6 = [e for e in powergrid_midasmv.children if e.eid == "0-sgen-4-6"][0]
powergrid_midasmv_sgen_5_7 = [e for e in powergrid_midasmv.children if e.eid == "0-sgen-5-7"][0]
powergrid_midasmv_sgen_6_8 = [e for e in powergrid_midasmv.children if e.eid == "0-sgen-6-8"][0]
powergrid_midasmv_sgen_7_9 = [e for e in powergrid_midasmv.children if e.eid == "0-sgen-7-9"][0]
powergrid_midasmv_sgen_8_10 = [e for e in powergrid_midasmv.children if e.eid == "0-sgen-8-10"][0]
powergrid_midasmv_sgen_9_11 = [e for e in powergrid_midasmv.children if e.eid == "0-sgen-9-11"][0]
powergrid_midasmv_storage_0_1 = [e for e in powergrid_midasmv.children if e.eid == "0-storage-0-1"][0]
powergrid_midasmv_storage_1_3 = [e for e in powergrid_midasmv.children if e.eid == "0-storage-1-3"][0]
powergrid_midasmv_storage_10_12 = [e for e in powergrid_midasmv.children if e.eid == "0-storage-10-12"][0]
powergrid_midasmv_storage_11_13 = [e for e in powergrid_midasmv.children if e.eid == "0-storage-11-13"][0]
powergrid_midasmv_storage_12_14 = [e for e in powergrid_midasmv.children if e.eid == "0-storage-12-14"][0]
powergrid_midasmv_storage_2_4 = [e for e in powergrid_midasmv.children if e.eid == "0-storage-2-4"][0]
powergrid_midasmv_storage_3_5 = [e for e in powergrid_midasmv.children if e.eid == "0-storage-3-5"][0]
powergrid_midasmv_storage_4_6 = [e for e in powergrid_midasmv.children if e.eid == "0-storage-4-6"][0]
powergrid_midasmv_storage_5_7 = [e for e in powergrid_midasmv.children if e.eid == "0-storage-5-7"][0]
powergrid_midasmv_storage_6_8 = [e for e in powergrid_midasmv.children if e.eid == "0-storage-6-8"][0]
powergrid_midasmv_storage_7_9 = [e for e in powergrid_midasmv.children if e.eid == "0-storage-7-9"][0]
powergrid_midasmv_storage_8_10 = [e for e in powergrid_midasmv.children if e.eid == "0-storage-8-10"][0]
powergrid_midasmv_storage_9_11 = [e for e in powergrid_midasmv.children if e.eid == "0-storage-9-11"][0]
powergrid_midasmv_switch_0 = [e for e in powergrid_midasmv.children if e.eid == "0-switch-0"][0]
powergrid_midasmv_switch_1 = [e for e in powergrid_midasmv.children if e.eid == "0-switch-1"][0]
powergrid_midasmv_switch_2 = [e for e in powergrid_midasmv.children if e.eid == "0-switch-2"][0]
powergrid_midasmv_switch_3 = [e for e in powergrid_midasmv.children if e.eid == "0-switch-3"][0]
powergrid_midasmv_switch_4 = [e for e in powergrid_midasmv.children if e.eid == "0-switch-4"][0]
powergrid_midasmv_switch_5 = [e for e in powergrid_midasmv.children if e.eid == "0-switch-5"][0]
powergrid_midasmv_switch_6 = [e for e in powergrid_midasmv.children if e.eid == "0-switch-6"][0]
powergrid_midasmv_switch_7 = [e for e in powergrid_midasmv.children if e.eid == "0-switch-7"][0]
powergrid_midasmv_trafo_0 = [e for e in powergrid_midasmv.children if e.eid == "0-trafo-0"][0]
powergrid_midasmv_trafo_1 = [e for e in powergrid_midasmv.children if e.eid == "0-trafo-1"][0]

world.connect(powergrid_midasmv_bus_1, database, *['vm_pu', 'va_degree', 'p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_bus_10, database, *['vm_pu', 'va_degree', 'p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_bus_11, database, *['vm_pu', 'va_degree', 'p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_bus_12, database, *['vm_pu', 'va_degree', 'p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_bus_13, database, *['vm_pu', 'va_degree', 'p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_bus_14, database, *['vm_pu', 'va_degree', 'p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_bus_2, database, *['vm_pu', 'va_degree', 'p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_bus_3, database, *['vm_pu', 'va_degree', 'p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_bus_4, database, *['vm_pu', 'va_degree', 'p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_bus_5, database, *['vm_pu', 'va_degree', 'p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_bus_6, database, *['vm_pu', 'va_degree', 'p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_bus_7, database, *['vm_pu', 'va_degree', 'p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_bus_8, database, *['vm_pu', 'va_degree', 'p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_bus_9, database, *['vm_pu', 'va_degree', 'p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_ext_grid_0_0, database, *['p_mw', 'q_mvar'], **{})
world.connect(powergrid_midasmv_line_0, database, *['loading_percent', 'in_service'], **{})
world.connect(powergrid_midasmv_line_1, database, *['loading_percent', 'in_service'], **{})
world.connect(powergrid_midasmv_line_10, database, *['loading_percent', 'in_service'], **{})
world.connect(powergrid_midasmv_line_11, database, *['loading_percent', 'in_service'], **{})
world.connect(powergrid_midasmv_line_12, database, *['loading_percent', 'in_service'], **{})
world.connect(powergrid_midasmv_line_13, database, *['loading_percent', 'in_service'], **{})
world.connect(powergrid_midasmv_line_14, database, *['loading_percent', 'in_service'], **{})
world.connect(powergrid_midasmv_line_2, database, *['loading_percent', 'in_service'], **{})
world.connect(powergrid_midasmv_line_3, database, *['loading_percent', 'in_service'], **{})
world.connect(powergrid_midasmv_line_4, database, *['loading_percent', 'in_service'], **{})
world.connect(powergrid_midasmv_line_5, database, *['loading_percent', 'in_service'], **{})
world.connect(powergrid_midasmv_line_6, database, *['loading_percent', 'in_service'], **{})
world.connect(powergrid_midasmv_line_7, database, *['loading_percent', 'in_service'], **{})
world.connect(powergrid_midasmv_line_8, database, *['loading_percent', 'in_service'], **{})
world.connect(powergrid_midasmv_line_9, database, *['loading_percent', 'in_service'], **{})
world.connect(powergrid_midasmv_load_0_1, database, *['p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_load_1_3, database, *['p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_load_10_12, database, *['p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_load_11_13, database, *['p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_load_12_14, database, *['p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_load_2_4, database, *['p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_load_3_5, database, *['p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_load_4_6, database, *['p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_load_5_7, database, *['p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_load_6_8, database, *['p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_load_7_9, database, *['p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_load_8_10, database, *['p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_load_9_11, database, *['p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_sgen_0_1, database, *['p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_sgen_1_3, database, *['p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_sgen_10_12, database, *['p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_sgen_11_13, database, *['p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_sgen_12_14, database, *['p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_sgen_2_4, database, *['p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_sgen_3_5, database, *['p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_sgen_4_6, database, *['p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_sgen_5_7, database, *['p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_sgen_6_8, database, *['p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_sgen_7_9, database, *['p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_sgen_8_10, database, *['p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_sgen_9_11, database, *['p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_storage_0_1, database, *['p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_storage_1_3, database, *['p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_storage_10_12, database, *['p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_storage_11_13, database, *['p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_storage_12_14, database, *['p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_storage_2_4, database, *['p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_storage_3_5, database, *['p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_storage_4_6, database, *['p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_storage_5_7, database, *['p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_storage_6_8, database, *['p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_storage_7_9, database, *['p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_storage_8_10, database, *['p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_storage_9_11, database, *['p_mw', 'q_mvar', 'in_service'], **{})
world.connect(powergrid_midasmv_switch_0, database, *['closed'], **{})
world.connect(powergrid_midasmv_switch_1, database, *['closed'], **{})
world.connect(powergrid_midasmv_switch_2, database, *['closed'], **{})
world.connect(powergrid_midasmv_switch_3, database, *['closed'], **{})
world.connect(powergrid_midasmv_switch_4, database, *['closed'], **{})
world.connect(powergrid_midasmv_switch_5, database, *['closed'], **{})
world.connect(powergrid_midasmv_switch_6, database, *['closed'], **{})
world.connect(powergrid_midasmv_switch_7, database, *['closed'], **{})
world.connect(powergrid_midasmv_trafo_0, database, *['loading_percent', 'in_service'], **{})
world.connect(powergrid_midasmv_trafo_1, database, *['loading_percent', 'in_service'], **{})
world.connect(powergrid_midasmv, database, *['health'], **{})

world.run(until=end)

